org.apache.xalan.lib

## Class NodeInfo

- java.lang.Object
- - org.apache.xalan.lib.NodeInfo

    public class NodeInfo
    extends java.lang.Object

`NodeInfo` defines a set of XSLT extension functions to be used from stylesheets.

Since:
  May 24, 2001
Author:
  Ovidiu Predescu

### Constructor Summary

Constructors
Constructor and Description
`NodeInfo()`

### Method Summary

Methods
`static int` `columnNumber(ExpressionContext context)` `columnNumber` returns the column number of the current context node.
`static int` `columnNumber(NodeList nodeList)` `columnNumber` returns the column number of the node passed as argument.
`static int` `lineNumber(ExpressionContext context)` `lineNumber` returns the line number of the current context node.
`static int` `lineNumber(NodeList nodeList)` `lineNumber` returns the line number of the node passed as argument.
`static java.lang.String` `publicId(ExpressionContext context)` `publicId` returns the public identifier of the current context node.
`static java.lang.String` `publicId(NodeList nodeList)` `publicId` returns the public identifier of the node passed as argument.
`static java.lang.String` `systemId(ExpressionContext context)` `systemId` returns the system id of the current context node.
`static java.lang.String` `systemId(NodeList nodeList)` `systemId` returns the system id of the node passed as argument.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeInfo

    public NodeInfo()

### Method Detail

#### systemId

    public static java.lang.String systemId(ExpressionContext context)

`systemId` returns the system id of the current context node.

Parameters:
  `context` - an `ExpressionContext` value
Returns:
  a `String` value

#### systemId

    public static java.lang.String systemId(NodeList nodeList)

`systemId` returns the system id of the node passed as argument. If a node set is passed as argument, the system id of the first node in the set is returned.

Parameters:
  `nodeList` - a `NodeList` value
Returns:
  a `String` value

#### publicId

    public static java.lang.String publicId(ExpressionContext context)

`publicId` returns the public identifier of the current context node. Xalan does not currently record this value, and will return null.

Parameters:
  `context` - an `ExpressionContext` value
Returns:
  a `String` value

#### publicId

    public static java.lang.String publicId(NodeList nodeList)

`publicId` returns the public identifier of the node passed as argument. If a node set is passed as argument, the public identifier of the first node in the set is returned. Xalan does not currently record this value, and will return null.

Parameters:
  `nodeList` - a `NodeList` value
Returns:
  a `String` value

#### lineNumber

    public static int lineNumber(ExpressionContext context)

`lineNumber` returns the line number of the current context node. NOTE: Xalan does not normally record location information for each node. To obtain it, you must set the custom TrAX attribute "http://xml.apache.org/xalan/features/source_location" true in the TransformerFactory before generating the Transformer and executing the stylesheet. Storage cost per node will be noticably increased in this mode.

Parameters:
  `context` - an `ExpressionContext` value
Returns:
  an `int` value. This may be -1 to indicate that the line number is not known.

#### lineNumber

    public static int lineNumber(NodeList nodeList)

`lineNumber` returns the line number of the node passed as argument. If a node set is passed as argument, the line number of the first node in the set is returned. NOTE: Xalan does not normally record location information for each node. To obtain it, you must set the custom TrAX attribute "http://xml.apache.org/xalan/features/source_location" true in the TransformerFactory before generating the Transformer and executing the stylesheet. Storage cost per node will be noticably increased in this mode.

Parameters:
  `nodeList` - a `NodeList` value
Returns:
  an `int` value. This may be -1 to indicate that the line number is not known.

#### columnNumber

    public static int columnNumber(ExpressionContext context)

`columnNumber` returns the column number of the current context node. NOTE: Xalan does not normally record location information for each node. To obtain it, you must set the custom TrAX attribute "http://xml.apache.org/xalan/features/source_location" true in the TransformerFactory before generating the Transformer and executing the stylesheet. Storage cost per node will be noticably increased in this mode.

Parameters:
  `context` - an `ExpressionContext` value
Returns:
  an `int` value. This may be -1 to indicate that the column number is not known.

#### columnNumber

    public static int columnNumber(NodeList nodeList)

`columnNumber` returns the column number of the node passed as argument. If a node set is passed as argument, the line number of the first node in the set is returned. NOTE: Xalan does not normally record location information for each node. To obtain it, you must set the custom TrAX attribute "http://xml.apache.org/xalan/features/source_location" true in the TransformerFactory before generating the Transformer and executing the stylesheet. Storage cost per node will be noticably increased in this mode.

Parameters:
  `nodeList` - a `NodeList` value
Returns:
  an `int` value. This may be -1 to indicate that the column number is not known.